microsoft-foundry.rest.security.o-auth2-auth
FineTuningSessions
Delete a fine-tuning session
DELETE
/fine_tuning/sessions/{sessionId}
Delete a fine-tuning session and mark its associated resources for cleanup. Repeating deletion for an already-deleted session returns HTTP 200.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
FineTuningSessions=V1Preview
Path parameters
sessionId
string
required
Identifier of the fine-tuning session to delete.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
session_id
string
required
Identifier of the session targeted for deletion.
deleted
boolean
required
Whether the session is marked as deleted.
Request
DELETE /fine_tuning/sessions/{sessionId} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json